Bug 822182 - Review Request: python-websockify - Python proxy for the websockets protocol
Review Request: python-websockify - Python proxy for the websockets protocol
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pádraig Brady
Pádraig Brady
:
Depends On:
Blocks: 801685
  Show dependency treegraph
 
Reported: 2012-05-16 11:05 EDT by Adam Young
Modified: 2012-08-07 08:27 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-10 20:47:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
p: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Adam Young 2012-05-16 11:05:15 EDT
Spec URL: http://admiyo.fedorapeople.org/noVNC/python-websockify.spec
SRPM URL: http://admiyo.fedorapeople.org/noVNC/python-websockify-0.1.0-2.f17ayoung.src.rpm
Description:  Python proxy for the websockets protocol
Comment 1 sleepsonthefloor 2012-05-16 13:11:32 EDT
Adam,

I think I mentioned this to you offline, but I personally would prefer websocket.py and websockify.py to be in a subfolder.  That may not be feasible given your constraints.

I have not actually tested this package, but I'm wondering if there is any issue with this:

    %{__install} websockify.py %{buildroot}/%{python_sitelib}

In the  v0.1.0 tag, websockify.py is a symlink to websockify, and is assumed to be in the same folder.  I'm new to the rpm.spec syntax though, so perhaps everything ends up in the right place.
Comment 2 Adam Young 2012-05-16 13:36:10 EDT
Anthony,
This is the right solution for a single file module.


Putting them in a subfolder under sitelibs would require rewriting them as a directory with and  __init__.py   file.  Do-able,  but no real benefit.

In the version from the websockify repo (not the noVNC repo) websockify.py is still a symlink,  but this seems to work correctly.  I've confirmed on my system:

 file /usr/lib/python2.7/site-packages/websockify.py
/usr/lib/python2.7/site-packages/websockify.py: a python script, ASCII text executable

and

[ayoung@ayoung websockify]$ rpmquery -f /usr/lib/python2.7/site-packages/websockify.py
python-websockify-0.1.0-2.f17ayoung.noarch

which is the command to show which file an RPM comes from.

Thanks for your feedback.
Comment 3 Pádraig Brady 2012-05-18 10:23:29 EDT
rpmlint errors/warnings:

python-websockify.noarch: E: no-description-tag
python-websockify.noarch: W: no-manual-page-for-binary websockify
1 packages and 0 specfiles checked; 1 errors, 1 warnings.
Comment 5 Pádraig Brady 2012-06-08 05:56:12 EDT
$ rpmlint /home/padraig/rpmbuild/RPMS/noarch/python-websockify-0.1.0-3.fc15.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

All other items are fine.

Next step is http://fedoraproject.org/wiki/Package_SCM_admin_requests
Comment 6 Adam Young 2012-06-08 15:30:54 EDT
New Package SCM Request
=======================
Package Name: python-websockify
Short Description: Python based adapter for the Websockets protocol
Owners: admiyo nsantos
Branches: f16 f17 f18 el6
InitialCC:
Comment 7 Pádraig Brady 2012-06-08 15:34:04 EDT
New Package SCM Request
=======================
Package Name: python-websockify
Short Description: Python based adapter for the Websockets protocol
Owners: admiyo nsantos
Branches: f16 f17 el6
InitialCC:
Comment 8 Jon Ciesla 2012-06-08 15:51:10 EDT
User adimyo is not a member of the Packager group.
Comment 9 Pádraig Brady 2012-06-08 20:09:54 EDT
New Package SCM Request
=======================
Package Name: python-websockify
Short Description: Python based adapter for the Websockets protocol
Owners: pbrady nsantos
Branches: f16 f17 el6
InitialCC:
Comment 10 Jon Ciesla 2012-06-09 13:19:51 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2012-06-10 20:44:37 EDT
python-websockify-0.1.0-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-websockify-0.1.0-4.fc17
Comment 12 Fedora Update System 2012-06-10 20:46:00 EDT
python-websockify-0.1.0-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-websockify-0.1.0-4.el6
Comment 13 Fedora Update System 2012-06-14 11:44:04 EDT
python-websockify-0.1.0-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-websockify-0.1.0-5.fc17
Comment 14 Fedora Update System 2012-06-14 11:45:57 EDT
python-websockify-0.1.0-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-websockify-0.1.0-5.el6
Comment 15 Fedora Update System 2012-06-25 20:46:18 EDT
python-websockify-0.1.0-5.fc17 has been pushed to the Fedora 17 stable repository.
Comment 16 Fedora Update System 2012-07-03 15:35:17 EDT
python-websockify-0.1.0-5.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 17 Ulrich Schwickerath 2012-08-07 07:57:48 EDT
Hi,

While testing the EPEL version of this package I noticed the latest change saying:
* Thu Jun 14 2012 Pádraig Brady <P@draigBrady.com> - 0.1.0-5
- Removed hard dependency on numpy
Trying to run it without having numpy installed raises a python exception:


Traceback (most recent call last):
  File "/usr/bin/websockify", line 5, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python2.6/site-packages/pkg_resources.py", line 2655, in <module>
    working_set.require(__requires__)
  File "/usr/lib/python2.6/site-packages/pkg_resources.py", line 648, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python2.6/site-packages/pkg_resources.py", line 546, in resolve
    raise DistributionNotFound(req)

Maybe this change was done in the context of https://bugzilla.redhat.com/show_bug.cgi?id=822187 ?

Can you reproduce this ?
Comment 18 Pádraig Brady 2012-08-07 08:27:37 EDT
Drats.
That might come fromt he install_requires in setup.py.
I've kicked off a build to move that:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4366236

Note You need to log in before you can comment on or make changes to this bug.